Mailing List Archive

[openssh] 01/01: Add CI with prepare script
This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 9499f2bb01dc1032ae155999b2d7764b9491341f
Author: Stefan Schindler <dns2utf8@estada.ch>
Date: Wed Aug 5 19:00:52 2020 +0200

Add CI with prepare script

* Only use heimdal kerberos implementation
* Fetch yubico/libfido2 (see: https://github.com/Yubico/libfido2)
* Add one target for
* all features
* each feature alone
* no features
---
.github/setup_ci.sh | 51 +++++++++++++++++++++++++++++++++++++++++++++
.github/workflows/c-cpp.yml | 38 +++++++++++++++++++++++++++++++++
2 files changed, 89 insertions(+)

diff --git a/.github/setup_ci.sh b/.github/setup_ci.sh
new file mode 100755
index 00000000..237721ad
--- /dev/null
+++ b/.github/setup_ci.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+TARGETS=$@
+
+PACKAGES=""
+INSTALL_FIDO_PPA="no"
+
+#echo "Setting up for '$TARGETS'"
+
+set -ex
+
+lsb_release -a
+
+for TARGET in $TARGETS; do
+ case $TARGET in
+ "")
+ # nothing to do
+ ;;
+ "--with-kerberos5")
+ PACKAGES="$PACKAGES heimdal-dev"
+ #PACKAGES="$PACKAGES libkrb5-dev"
+ ;;
+ "--with-libedit")
+ PACKAGES="$PACKAGES libedit-dev"
+ ;;
+ "--with-pam")
+ PACKAGES="$PACKAGES libpam0g-dev"
+ ;;
+ "--with-security-key-builtin")
+ INSTALL_FIDO_PPA="yes"
+ PACKAGES="$PACKAGES libfido2-dev libu2f-host-dev"
+ ;;
+ "--with-selinux")
+ PACKAGES="$PACKAGES libselinux1-dev selinux-policy-dev"
+ ;;
+ *) echo "Invalid option"
+ exit 1
+ ;;
+ esac
+done
+
+if [ "yes" == "$INSTALL_FIDO_PPA" ]; then
+ sudo apt update -qq
+ sudo apt install software-properties-common
+ sudo apt-add-repository ppa:yubico/stable
+fi
+
+if [ "x" != "x$PACKAGES" ]; then
+ sudo apt update -qq
+ sudo apt install -qy $PACKAGES
+fi
diff --git a/.github/workflows/c-cpp.yml b/.github/workflows/c-cpp.yml
new file mode 100644
index 00000000..f18f05a8
--- /dev/null
+++ b/.github/workflows/c-cpp.yml
@@ -0,0 +1,38 @@
+name: C/C++ CI
+
+on:
+ push:
+ branches: [ master, ci ]
+ pull_request:
+ branches: [ master ]
+
+jobs:
+ build:
+
+ runs-on: ubuntu-latest
+
+ strategy:
+ matrix:
+ configs:
+ - ""
+ - "--with-kerberos5"
+ - "--with-libedit"
+ - "--with-pam"
+ - "--with-security-key-builtin"
+ - "--with-selinux"
+ - "--with-kerberos5 --with-libedit --with-pam --with-security-key-builtin --with-selinux"
+
+ steps:
+ - uses: actions/checkout@v2
+ - name: setup CI system
+ run: ./.github/setup_ci.sh ${{ matrix.configs }}
+ - name: autoreconf
+ run: autoreconf
+ - name: configure
+ run: ./configure ${{ matrix.configs }}
+ - name: make
+ run: make
+ - name: make tests
+ run: make tests
+ env:
+ TEST_SSH_UNSAFE_PERMISSIONS: 1

--
To stop receiving notification emails like this one, please contact
djm@mindrot.org.
_______________________________________________
openssh-commits mailing list
openssh-commits@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-commits